Package org.opensaml.saml.saml1.core

# Interface Evidence

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `EvidenceImpl`

public interface Evidence extends SAMLObject
Interface describing how a SAML1.1 `Evidence` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<AssertionIDReference>`
`getAssertionIDReferences()`
Get the list of assertion ID references.
`List<Assertion>`
`getAssertions()`
Get the list of Assertions.
`List<Evidentiary>`
`getEvidence()`
Get the list of all `Evidentiary` child elements.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getEvidence

@Nonnull @Live List<Evidentiary> getEvidence()
Get the list of all `Evidentiary` child elements.

Returns:
  list of all `Evidentiary` elements

### getAssertionIDReferences

@Nonnull @Live List<AssertionIDReference> getAssertionIDReferences()
Get the list of assertion ID references.

Returns:
  list of assertion ID references

### getAssertions

@Nonnull @Live List<Assertion> getAssertions()
Get the list of Assertions.

Returns:
  list of assertions